com.holonplatform.vaadin.flow.components.builders

## Interface HasHtmlTextConfigurator<C extends HasHtmlTextConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Known Subinterfaces:
    LabelBuilder<L>, LabelConfigurator<L,C>, LabelConfigurator.BaseLabelConfigurator<L>

      public interface HasHtmlTextConfigurator<C extends HasHtmlTextConfigurator<C>>

  Configurator for `HasText` type components which can support HTML markup.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `htmlText(com.holonplatform.core.i18n.Localizable text)` Sets the text content using a `Localizable` message, with HTML markup support.
    `default C` | `htmlText(String text)` Sets the text content with HTML markup support, replacing any previous content.
    `default C` | `htmlText(String defaultText, String messageCode, Object... arguments)` Sets the text content with HTML markup support, using a localizable `messageCode`.

- - ### Method Detail

    - #### htmlText

          C htmlText(com.holonplatform.core.i18n.Localizable text)

      Sets the text content using a `Localizable` message, with HTML markup support.

      Care should be taken when using HTML text mode to avoid Cross-site Scripting (XSS) issues.

      A `null` value is interpreted as an empty text.

      Parameters:
        `text` - Localizable text content message (may be null)
      Returns:
        this

    - #### htmlText

          default C htmlText(String text)

      Sets the text content with HTML markup support, replacing any previous content.

      Care should be taken when using HTML text mode to avoid Cross-site Scripting (XSS) issues.

      A `null` text value is interpreted as an empty text.

      Parameters:
        `text` - The text content to set, with HTML markup support
      Returns:
        this

    - #### htmlText

          default C htmlText(String defaultText,
                             String messageCode,
                             Object... arguments)

      Sets the text content with HTML markup support, using a localizable `messageCode`.

      Care should be taken when using HTML text mode to avoid Cross-site Scripting (XSS) issues.

      Parameters:
        `defaultText` - Default text content if no translation is available for given `messageCode`.
        `messageCode` - Text translation message key
        `arguments` - Optional translation arguments
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.